stages:
  - test
  - deploy

unittest:
  stage: test
  tags: 
    - python3.5
  script:
    - pip3 install -r requirements.txt
    - python3 verify.py
    - python3 display.py

pages:
  stage: deploy
  script:
    - pip3 install -r requirements.txt
    - python3 rss.py
    - mkdir target
    - mv rss.xml target
    - mv atom.xml target
    - mv target public
  artifacts:
      paths:
        - public
  only:
    - master

